import Joi from 'joi';
import { Algorithm, BaseTokenClaim, AuthBaseToken } from './auth-base-token';
export declare type AuthIdRefreshTokenClaim = BaseTokenClaim & {
    userUuid: string;
    userName: string;
};
export declare const schemaAuthIdRefreshTokenClaim: {
    userUuid: Joi.StringSchema;
    userName: Joi.StringSchema;
    kind: Joi.StringSchema;
    uuid: Joi.StringSchema;
    appDomain: Joi.StringSchema;
    productEntityUuid: Joi.StringSchema;
};
export declare class AuthIdRefreshToken extends AuthBaseToken<AuthIdRefreshTokenClaim> {
    private static self;
    private constructor();
    static init(secret: string, expiresIn: string | number, algorithm?: Algorithm): typeof AuthIdRefreshToken;
    static term(): void;
    static get instance(): AuthIdRefreshToken;
    sign(claim: AuthIdRefreshTokenClaim, expiresIn?: string | number, notBefore?: string | number): string;
    verify(token: string): AuthIdRefreshTokenClaim;
    static get isEnabled(): boolean;
}
